#include <bits/stdc++.h>
#define al_inline() inline

namespace wor {
        std::ifstream fin("edit.in");
        std::ofstream fout("edit.out");
}

template <typename T>
al_inline() T &to_max(T &x, const T &y) {
        if (x < y) x = y;
        return x;
}

template <typename T>
al_inline() T &to_min(T &x, const T &y) {
        if (y < x) x = y;
        return x;
}

template <typename T>
al_inline() bool to_max(T &x, const T &y) {
        if (x < y) {
                x = y;
                return true;
        }
        return false;
}

template <typename T>
al_inline() bool to_min(T &x, const T &y) {
        if (y < x) {
                x = y;
                return true;
        }
        return false;
}

size_t n;
char s1[100005];
char s2[100005];
char r1[100005];
char r2[100005];
al_inline() uint32_t solve() {
        size_t c10 = 0, c11 = 0, c20 = 0, c21 = 0;
        uint32_t result = 0;
}

signed main() {
        std::ios_base::sync_with_stdio(false);
        size_t T;
        wor::fin >> T;
        while (T--) {
                wor::fin >> n;
                wor::fin >> s1;
                wor::fin >> s2;
                wor::fin >> r1;
                wor::fin >> r2;
                wor::fout << solve() << std::endl;;
        }
        wor::fin.close();
        wor::fout.close();
        return 0;
}

